## org.metaabm.act.impl
Class MetaABMActFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.metaabm.act.impl.MetaABMActFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, MetaABMActFactory

    public class MetaABMActFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements MetaABMActFactory

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.metaabm.act.MetaABMActFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`MetaABMActFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertABuildNetworkTypesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertABuildSpaceTypesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertASelectTypesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`AAll` `createAAll()`
`AAny` `createAAny()`
`ABuild` `createABuild()`
`ABuildGeography` `createABuildGeography()`
`ABuildGrid` `createABuildGrid()`
`ABuildNetwork` `createABuildNetwork()`
`ABuildNetworkTypes` `createABuildNetworkTypesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ABuildSpace` `createABuildSpace()`
`ABuildSpaceTypes` `createABuildSpaceTypesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ACause` `createACause()`
`AConnect` `createAConnect()`
`ACreateAgents` `createACreateAgents()`
`ACreateShapedAgents` `createACreateShapedAgents()`
`ADerive` `createADerive()`
`ADie` `createADie()`
`ADiffuse` `createADiffuse()`
`ADisconnect` `createADisconnect()`
`AEvaluate` `createAEvaluate()`
`AGroup` `createAGroup()`
`AInitialize` `createAInitialize()`
`AInput` `createAInput()`
`ALeave` `createALeave()`
`ALiteral` `createALiteral()`
`ALoadAgents` `createALoadAgents()`
`ALoadShapedAgents` `createALoadShapedAgents()`
`AMethod` `createAMethod()`
`AMove` `createAMove()`
`AMultiValue` `createAMultiValue()`
`ANone` `createANone()`
`APerform` `createAPerform()`
`AQuery` `createAQuery()`
`AReplace` `createAReplace()`
`ARule` `createARule()`
`ASchedule` `createASchedule()`
`ASelect` `createASelect()`
`ASelectTypes` `createASelectTypesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ASet` `createASet()`
`AWatch` `createAWatch()`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`MetaABMActPackage` `getMetaABMActPackage()`
`static MetaABMActPackage` `getPackage()` Deprecated.
`static MetaABMActFactory` `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### MetaABMActFactoryImpl

    public MetaABMActFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static MetaABMActFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAInput

    public AInput createAInput()

  Specified by:
    `createAInput` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AInput'.

### createALiteral

    public ALiteral createALiteral()

  Specified by:
    `createALiteral` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ALiteral'.

### createAMultiValue

    public AMultiValue createAMultiValue()

  Specified by:
    `createAMultiValue` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AMulti Value'.

### createAGroup

    public AGroup createAGroup()

  Specified by:
    `createAGroup` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AGroup'.

### createASchedule

    public ASchedule createASchedule()

  Specified by:
    `createASchedule` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ASchedule'.

### createARule

    public ARule createARule()

  Specified by:
    `createARule` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ARule'.

### createABuild

    public ABuild createABuild()

  Specified by:
    `createABuild` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ABuild'.

### createAInitialize

    public AInitialize createAInitialize()

  Specified by:
    `createAInitialize` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AInitialize'.

### createAMethod

    public AMethod createAMethod()

  Specified by:
    `createAMethod` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AMethod'.

### createAAny

    public AAny createAAny()

  Specified by:
    `createAAny` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AAny'.

### createAAll

    public AAll createAAll()

  Specified by:
    `createAAll` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AAll'.

### createANone

    public ANone createANone()

  Specified by:
    `createANone` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ANone'.

### createAQuery

    public AQuery createAQuery()

  Specified by:
    `createAQuery` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AQuery'.

### createAEvaluate

    public AEvaluate createAEvaluate()

  Specified by:
    `createAEvaluate` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AEvaluate'.

### createAWatch

    public AWatch createAWatch()

  Specified by:
    `createAWatch` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AWatch'.

### createASet

    public ASet createASet()

  Specified by:
    `createASet` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ASet'.

### createACreateAgents

    public ACreateAgents createACreateAgents()

  Specified by:
    `createACreateAgents` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ACreate Agents'.

### createABuildNetwork

    public ABuildNetwork createABuildNetwork()

  Specified by:
    `createABuildNetwork` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ABuild Network'.

### createABuildSpace

    public ABuildSpace createABuildSpace()

  Specified by:
    `createABuildSpace` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ABuild Space'.

### createABuildGeography

    public ABuildGeography createABuildGeography()

  Specified by:
    `createABuildGeography` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ABuild Geography'.

### createABuildGrid

    public ABuildGrid createABuildGrid()

  Specified by:
    `createABuildGrid` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ABuild Grid'.

### createASelect

    public ASelect createASelect()

  Specified by:
    `createASelect` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ASelect'.

### createAMove

    public AMove createAMove()

  Specified by:
    `createAMove` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AMove'.

### createALeave

    public ALeave createALeave()

  Specified by:
    `createALeave` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ALeave'.

### createADie

    public ADie createADie()

  Specified by:
    `createADie` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ADie'.

### createAConnect

    public AConnect createAConnect()

  Specified by:
    `createAConnect` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AConnect'.

### createADisconnect

    public ADisconnect createADisconnect()

  Specified by:
    `createADisconnect` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ADisconnect'.

### createAReplace

    public AReplace createAReplace()

  Specified by:
    `createAReplace` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'AReplace'.

### createACause

    public ACause createACause()

  Specified by:
    `createACause` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ACause'.

### createADiffuse

    public ADiffuse createADiffuse()

  Specified by:
    `createADiffuse` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ADiffuse'.

### createAPerform

    public APerform createAPerform()

  Specified by:
    `createAPerform` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'APerform'.

### createADerive

    public ADerive createADerive()

  Specified by:
    `createADerive` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ADerive'.

### createALoadShapedAgents

    public ALoadShapedAgents createALoadShapedAgents()

  Specified by:
    `createALoadShapedAgents` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ALoad Shaped Agents'.

### createACreateShapedAgents

    public ACreateShapedAgents createACreateShapedAgents()

  Specified by:
    `createACreateShapedAgents` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ACreate Shaped Agents'.

### createALoadAgents

    public ALoadAgents createALoadAgents()

  Specified by:
    `createALoadAgents` in interface `MetaABMActFactory`
  Returns:
    a new object of class 'ALoad Agents'.

### createABuildSpaceTypesFromString

    public ABuildSpaceTypes createABuildSpaceTypesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

### convertABuildSpaceTypesToString

    public java.lang.String convertABuildSpaceTypesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

### createABuildNetworkTypesFromString

    public ABuildNetworkTypes createABuildNetworkTypesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.String initialValue)

### convertABuildNetworkTypesToString

    public java.lang.String convertABuildNetworkTypesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                              java.lang.Object instanceValue)

### createASelectTypesFromString

    public ASelectTypes createASelectTypesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

### convertASelectTypesToString

    public java.lang.String convertASelectTypesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.Object instanceValue)

### getMetaABMActPackage

    public MetaABMActPackage getMetaABMActPackage()

  Specified by:
    `getMetaABMActPackage` in interface `MetaABMActFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static MetaABMActPackage getPackage()

  Deprecated.